Variants Genes Summary
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/genes/summaryimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/genes/summary"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/genes/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"qtl_type": "<string>",
"chr": "<string>",
"neg_log10_pvalue": 123,
"biological_context": "<string>",
"effect_size": 123,
"gene": {
"gene_name": "<string>",
"gene_id": "<string>",
"gene_start": 123,
"gene_end": 123
},
"name": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Variants Genes Summary
Retrieve a summary of associated genes from GTEx eQTLs & splice QTLs by internal variant ids.
Example:
variant_id = NC_000001.11:40242002:G:A,
spdi = NC_000001.11:40242002:G:A,
hgvs = NC_000001.11:g.40242003G>A,
ca_id = CA16051554,
files_fileset = IGVFFI9602ILPC.
Variants Genes Summary
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/genes/summaryimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/genes/summary"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/genes/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"qtl_type": "<string>",
"chr": "<string>",
"neg_log10_pvalue": 123,
"biological_context": "<string>",
"effect_size": 123,
"gene": {
"gene_name": "<string>",
"gene_id": "<string>",
"gene_start": 123,
"gene_end": 123
},
"name": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Mus musculus, Homo sapiens